Gentoo Archives: gentoo-alt

From: heroxbd@×××××.com
To: gentoo-alt@l.g.o
Subject: [gentoo-alt] succeed emerge gcc-4.5.3-r1 on CentOS 4.9 (glibc-2.3.4)
Date: Sat, 05 Nov 2011 15:39:24
Message-Id: 86hb2i1svh.fsf@gmail.com
Hey guys and gals,

I was hesitating to try gcc-4.5.3 on a CentOS 4.9 with stone aged
glibc-2.3 when I am bootstrapping it. In the past my experience with a
couple of old machines is that >=gcc-4.3 never emerge with <=glibc-2.5
without USE vanilla.

A thread discussed this too[1]. It was a failure of CentOS 5, which
makes CentOS 4 more scaring.

To my surprise, gcc-4.5.3 USE 'fortran mudflap nls nptl openmp' worked!

Maybe we can make a prefix gcc / glibc version compatibility matrix to
track these reports :)

Yours,
Benda

1. http://thread.gmane.org/gmane.linux.gentoo.alt/6110/focus=6119
-- 
XU Benda
Research Center for Neutrino Science
Tohoku University
JAPAN

http://www.awa.tohoku.ac.jp/~benda

Replies